#include "san2des.h"

int main(int argc, char *argv[])
{
  ifstream  f_tmp;
  char    filename[max_peps_name];
  char    filename_full[max_peps_name];
  GRAMMAR g;

  if (argc == 1){ // no file
    cout << "Try: \"san2des file\"" << endl;  
    exit (0);  
  }
  else{
    strcpy(filename, argv[1]);  
  }
  sprintf(filename_full,"%s.san",filename);
  g.compile(filename_full);
   
  f_tmp.open("des/peps_des");
  if (f_tmp) {
   f_tmp.close();
  }
  else{
   cout << "Creating description files directory\n";
   system("rm -rf des");
   system("mkdir des");
   system("pwd > des/peps_des");
  }
  cout << "Creating description files model\n";
  sprintf(filename_full,"des/%s.des",filename);
  g.put2file_des(filename_full);
  sprintf(filename_full,"des/%s.dic",filename);
  g.put2file_dic(filename_full);
  sprintf(filename_full,"des/%s.fct",filename);
  g.put2file_fct(filename_full);
  sprintf(filename_full,"des/%s.tft",filename);
  g.put2file_tft(filename_full);
  sprintf(filename_full,"des/%s.res",filename);
  g.put2file_res(filename_full);
  cout << "The description files to " << filename << " model were created in \"des\" directory." << endl;
}
